/***************************************************************************
 **
 **    This file defines the Pin Definitions for
 **    Texas Instruments HPA-MCU Interface Board with the TMS470R1AM Board
 **
 **    Used with ARM IAR C/C++ Compiler and Assembler.
 **
 **    (c) Copyright Texas Instruments 2005
 **
 **    $Revision: 1.0 $ Author T. Hendrick
 ***************************************************************************/
#ifndef __HPA_MCU_DEF_H
#define __HPA_MCU_DEF_H

#include "iotms470r1b1m.h"

//P8 on the TMS470 Board maps to J17 on the HPA-MCU Interface Board

//Serial I/O 1
#define DC_CNTLa      I2C2SCL
#define DC_CLKXa      SPI1CLK
#define DC_CLKRa      I2C3SDA
#define DC_FSXa       SPI1SCS
#define DC_FSRa       SPI1ENA
#define DC_DXa        SPI1SIMO
#define DC_DRa        SPI1SOMI
#define DC_INTa       GIO5_INT5
#define DC_TOUTa      HET1
#define GPIO0a        I2C3SCL
#define GPIO1a        CAN1HTX  //Can be Muxed with CAN2HTX via SW1.C on HPA-MCU
#define GPIO2a        CAN1HRX  //Can be Muxed with CAN2HRX via SW1.C on HPA-MCU
#define GPIO3a        HET5
#define GPIO4a        HET3
#define GPIO5a        SCI3RX
#define DC_SCLa       I2C1SCL
#define DC_SDAa       I2C1SDA

//Serial I/O 2
#define DC_CNTLb      SCI3CLK
#define DC_CLKXb      SPI2CLK
#define DC_CLKRb      SCI1CLK
#define DC_FSXb       SPI2SCS
#define DC_FSRb       SPI2ENA
#define DC_DXb        SPI2SIMO
#define DC_DRb        SPI2SOMI
#define DC_INTb       GIO6_INT6
#define DC_TOUTb      HET2
#define GPIO0b        HET7
#define GPIO1b
#define GPIO2b
#define GPIO3b        HET6
#define GPIO4b        HET4
#define GPIO5b        I2C2SDA
#define DC_SCLb       I2C1SCL
#define DC_SDAb       I2C1SDA

#endif    /* __HPA_MCU_DEF_H */
